Public Class GPSProcessorResult
    Private ReadOnly _gpsDeviceDataList As List(Of GPSDeviceData)
    Private ReadOnly _backMessages As List(Of Byte())
    Public ReadOnly Property GPSDeviceDataList As List(Of GPSDeviceData)
        Get
            Return _gpsDeviceDataList
        End Get
    End Property
    Public Property Success As Boolean
    Public ReadOnly Property BackMessages As List(Of Byte())
        Get
            Return _backMessages
        End Get
    End Property
    Public Sub New()
        _gpsDeviceDataList = New List(Of GPSDeviceData)()
        _backMessages = New List(Of Byte())
    End Sub

End Class
